Bug 462205 - RFE: make test and html, no errors when number of cells is more than the specified value
RFE: make test and html, no errors when number of cells is more than the spec...
Status: CLOSED CURRENTRELEASE
Product: Publican
Classification: Community
Component: publican (Show other bugs)
2.0
All Linux
low Severity low
: ---
: ---
Assigned To: Jeff Fearn
Michael Hideo
: Documentation
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-14 00:31 EDT by Murray McAllister
Modified: 2015-01-04 17:35 EST (History)
3 users (show)

See Also:
Fixed In Version: 0.38
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-06 01:49:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Output from "make pdf-en-US". (7.63 KB, text/plain)
2008-09-14 00:38 EDT, Murray McAllister
no flags Details

  None (edit)
Description Murray McAllister 2008-09-14 00:31:55 EDT
Description of problem:

"make test-en-US" and "make html-en-US" do not produce errors when the number of cells in a table is more than the value specified. Books build successfully in HTML. Errors occur when using "make pdf-en-US" and the book fails to build.

Version-Release number of selected component (if applicable):

* Red Hat Enterprise Linux Client release 5.2 (Tikanga)
* publican-0.37-0.el5
* saxon-6.5.5-1jpp.3.el5

How reproducible:

Always.

Steps to Reproduce:

Use the following table in a document, that specifies there are 3 columns (<tgroup cols="3">), when there are 6:

<table frame="all">
	<title>Example Table</title>
	<tgroup cols="3">
		
		<thead>
			<row>
				<entry>0</entry>
				<entry>1</entry>
				<entry>2</entry>
				<entry>3</entry>
				<entry>4</entry>
				<entry>5</entry>
			</row>
		</thead>
		
		<tbody>
			
			<row>
				<entry>data</entry>
				<entry>data</entry>
				<entry>data</entry>
				<entry>data</entry>
				<entry>data</entry>
                                <entry>data</entry>
			</row>
              </tbody>
		
	</tgroup>
</table>


Actual results:
"make test-en-US" = no errors.
"make html-en-US" = no errors; book builds.
"make pdf-en-US"  = errors; book fails to build.

Expected results:
"make test-en-US" = errors.
"make html-en-US" = errors; book fails to build.

Additional info:

The HTML and HTML-single outputs from a document with such a table are both XHTML 1.0 Strict according to <http://validator.w3.org/>.

<http://icanhascheezburger.files.wordpress.com/2008/09/funny-pictures-your-cat-is-on-hold.jpg>
Comment 1 Murray McAllister 2008-09-14 00:38:43 EDT
Created attachment 316678 [details]
Output from "make pdf-en-US".

* apologies for the formatting of the table.

* also, I am using "fop-0.95-0.2.beta1.rh1.el5".
Comment 2 Murray McAllister 2008-09-14 00:42:52 EDT
Sorry for the spam:

$ alternatives --config java
[snip]
*+ 2           /usr/lib/jvm/jre-1.5.0-sun/bin/java

$ alternatives --config javac
[snip]
*+ 1           /usr/lib/jvm/java-1.5.0-sun/bin/javac

* java-1.5.0-sun-1.5.0.15-1jpp.2.el5
Comment 3 Jeff Fearn 2008-10-06 01:49:28 EDT
Added check to compare cols to the number of entry tags per row and report any tables that fail this check.
Comment 4 Fedora Update System 2008-10-16 18:43:45 EDT
publican-0.38-0.fc9,perl-XML-TreeBuilder-3.09-11.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/publican-0.38-0.fc9,perl-XML-TreeBuilder-3.09-11.fc9
Comment 5 Fedora Update System 2008-11-06 21:55:01 EST
publican-0.38-0.fc9, perl-XML-TreeBuilder-3.09-11.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.